Debian Bug report logs - #34182
ncurses: Could examples be supplied compiled?

version graph

Package: libncurses5-dev; Maintainer for libncurses5-dev is Craig Small <csmall@debian.org>; Source for libncurses5-dev is src:ncurses.

Reported by: Edward Betts <edward@debian.org>

Date: Sat, 6 Mar 1999 21:33:02 UTC

Severity: wishlist

Merged with 40325, 65833

Found in version 5.0-6

Fixed in version ncurses/5.7+20101128-1

Done: Sven Joachim <svenjoac@gmx.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Galen Hazelwood <galenh@debian.org>:
Bug#34182; Package ncurses. Full text and rfc822 format available.

Acknowledgement sent to edward@hairnet.demon.co.uk:
New bug report received and forwarded. Copy sent to Galen Hazelwood <galenh@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: edward@hairnet.demon.co.uk
To: submit@bugs.debian.org
Subject: ncurses: Could examples be supplied compiled?
Date: Sat, 6 Mar 1999 17:53:29 +0000
Package: ncurses
Version: N/A
Severity: wishlist

I think some of the examples that come with ncurses (in /usr/doc/libncurses4-
dev/examples/) are really cool. Would it make sense to put compiled versions 
in ncurses-bin or ncurses-games or a combination of the two?

Just a thought.

-- System Information
Debian Release: potato
Kernel Version: Linux portaloo 2.0.36 #3 Tue Feb 23 16:30:25 GMT 1999 i586 unknown



Bug closed, ack sent to submitter - they'd better know why ! Request was from Edward Betts <edward@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reopened, originator set to Edward Betts <edward@debian.org>. Request was from Edward Betts <edward@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug closed, ack sent to submitter - they'd better know why ! Request was from Edward Betts <edward@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reopened, originator set to Edward Betts <edward@debian.org>. Request was from Edward Betts <edward@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug closed, ack sent to submitter - they'd better know why ! Request was from Edward Betts <edward@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reopened, originator set to Edward Betts <edward@debian.org>. Request was from Edward Betts <edward@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package 'ncurses' to 'libncurses5-dev'. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Mon, 27 Sep 2010 16:33:05 GMT) Full text and rfc822 format available.

Merged 34182 40325 65833. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Mon, 27 Sep 2010 16:33:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#34182; Package libncurses5-dev. (Wed, 17 Nov 2010 18:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 17 Nov 2010 18:00:06 GMT) Full text and rfc822 format available.

Message #26 received at 34182@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 34182@bugs.debian.org
Subject: Shipping compiled ncurses examples
Date: Wed, 17 Nov 2010 18:56:53 +0100
I think we should really ship an ncurses-examples packages with the
precompiled test programs, some of them are very nice. :-)  However,
since the names of the programs are rather generic, installing them into
/usr/bin or /usr/games would clash with other packages.  Therefore I
think we should put the programs outside $PATH, say in
/usr/lib/ncurses/examples.

Craig, what is your opinion?

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#34182; Package libncurses5-dev. (Wed, 17 Nov 2010 21:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 17 Nov 2010 21:51:02 GMT) Full text and rfc822 format available.

Message #31 received at 34182@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Sven Joachim <svenjoac@gmx.de>, 34182@bugs.debian.org
Cc: Craig Small <csmall@debian.org>
Subject: Re: Bug#34182: Shipping compiled ncurses examples
Date: Wed, 17 Nov 2010 16:47:57 -0500 (EST)
On Wed, 17 Nov 2010, Sven Joachim wrote:

> I think we should really ship an ncurses-examples packages with the
> precompiled test programs, some of them are very nice. :-)  However,
> since the names of the programs are rather generic, installing them into
> /usr/bin or /usr/games would clash with other packages.  Therefore I
> think we should put the programs outside $PATH, say in
> /usr/lib/ncurses/examples.

the configure script is supposed to honor --program-suffix, etc.

(still, installing them outside $PATH is what I expected).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#34182; Package libncurses5-dev. (Thu, 18 Nov 2010 04:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Craig Small <csmall@debian.org>:
Extra info received and forwarded to list. (Thu, 18 Nov 2010 04:39:06 GMT) Full text and rfc822 format available.

Message #36 received at 34182@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: Sven Joachim <svenjoac@gmx.de>, 34182@bugs.debian.org
Subject: Re: Bug#34182: Shipping compiled ncurses examples
Date: Thu, 18 Nov 2010 15:29:12 +1100
On Wed, Nov 17, 2010 at 06:56:53PM +0100, Sven Joachim wrote:
> I think we should really ship an ncurses-examples packages with the
> precompiled test programs, some of them are very nice. :-)  However,
I didn't even notice them at first, I think you mean the programs 
found in test.

> /usr/lib/ncurses/examples.
That looks like where most of those sort of programs are found. The
developers reference and FSSTND are both silent on this sort of file.

 - Craig

-- 
Craig Small VK2XLZ    http://www.enc.com.au/       csmall at : enc.com.au
Debian GNU/Linux      http://www.debian.org/       csmall at : debian.org
GPG fingerprint:       1C1B D893 1418 2AF4 45EE  95CB C76C E5AC 12CA DFA5




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#34182; Package libncurses5-dev. (Thu, 18 Nov 2010 05:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Thu, 18 Nov 2010 05:51:09 GMT) Full text and rfc822 format available.

Message #41 received at 34182@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Craig Small <csmall@debian.org>
Cc: 34182@bugs.debian.org
Subject: Re: Bug#34182: Shipping compiled ncurses examples
Date: Thu, 18 Nov 2010 06:48:14 +0100
On 2010-11-18 05:29 +0100, Craig Small wrote:

> On Wed, Nov 17, 2010 at 06:56:53PM +0100, Sven Joachim wrote:
>> I think we should really ship an ncurses-examples packages with the
>> precompiled test programs, some of them are very nice. :-)  However,
> I didn't even notice them at first, I think you mean the programs 
> found in test.

Yes.  We're currently shipping the sources for them in
/usr/share/doc/libncurses5-dev/examples/ which is not too useful.

>> /usr/lib/ncurses/examples.
> That looks like where most of those sort of programs are found. The
> developers reference and FSSTND are both silent on this sort of file.

Debian Policy mentions those in §12.6.

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#34182; Package libncurses5-dev. (Thu, 18 Nov 2010 10:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Craig Small <csmall@debian.org>:
Extra info received and forwarded to list. (Thu, 18 Nov 2010 10:18:03 GMT) Full text and rfc822 format available.

Message #46 received at 34182@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: Sven Joachim <svenjoac@gmx.de>
Cc: 34182@bugs.debian.org
Subject: Re: Bug#34182: Shipping compiled ncurses examples
Date: Thu, 18 Nov 2010 21:15:00 +1100
On Thu, Nov 18, 2010 at 06:48:14AM +0100, Sven Joachim wrote:
> Debian Policy mentions those in §12.6.
How did I miss that? Even better, we have a legitimate directory!

 - Craig
-- 
Craig Small VK2XLZ    http://www.enc.com.au/       csmall at : enc.com.au
Debian GNU/Linux      http://www.debian.org/       csmall at : debian.org
GPG fingerprint:       1C1B D893 1418 2AF4 45EE  95CB C76C E5AC 12CA DFA5




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#34182; Package libncurses5-dev. (Fri, 19 Nov 2010 08:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Fri, 19 Nov 2010 08:45:03 GMT) Full text and rfc822 format available.

Message #51 received at 34182@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 34182@bugs.debian.org
Subject: Re: Bug#34182: Shipping compiled ncurses examples
Date: Fri, 19 Nov 2010 09:41:18 +0100
On 2010-11-17 18:56 +0100, Sven Joachim wrote:

> I think we should really ship an ncurses-examples packages with the
> precompiled test programs, some of them are very nice. :-)  However,
> since the names of the programs are rather generic, installing them into
> /usr/bin or /usr/games would clash with other packages.  Therefore I
> think we should put the programs outside $PATH, say in
> /usr/lib/ncurses/examples.

So I tried to do this:

--8<---------------cut here---------------start------------->8---
diff --git a/debian/control b/debian/control
index b61f29a..94db9d4 100644
--- a/debian/control
+++ b/debian/control
@@ -185,3 +185,16 @@ Breaks: mlterm-common (<< 3.0.1-3)
 Description: additional terminal type definitions
  This package contains all of the numerous terminal definitions not found in
  the ncurses-base package.
+
+Package: ncurses-examples
+Architecture: any
+Section: misc
+Priority: optional
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: test programs and examples for ncurses
+ This package contains programs demonstrating the possibilities of
+ ncurses and testing the library. The examples include an
+ analog/digital clock and several classic programs such as solitaire,
+ battleships, a knight's tour on a chess board, the towers of Hanoi
+ and several others.
diff --git a/debian/ncurses-examples.install b/debian/ncurses-examples.install
new file mode 100644
index 0000000..1ec5e51
--- /dev/null
+++ b/debian/ncurses-examples.install
@@ -0,0 +1 @@
+obj/test/* usr/lib/ncurses/examples
--8<---------------cut here---------------end--------------->8---

This gets the example programs installed, but lintian has a complaint
about them:

,----
| E: ncurses-examples: binary-or-shlib-defines-rpath ./usr/lib/ncurses/examples/background /usr/local/src/deb-src/ncurses/ncurses/obj/lib
| N: 
| N:    The binary or shared library sets RPATH. This overrides the normal
| N:    library search path, possibly interfering with local policy and causing
| N:    problems for multilib, among other issues.
| N:    
| N:    The only time a binary or shared library in a Debian package should set
| N:    RPATH is if it is linked to private shared libraries in the same
| N:    package. In that case, place those private shared libraries in
| N:    /usr/lib/<package>. Libraries used by binaries in other packages should
| N:    be placed in /lib or /usr/lib as appropriate, with a proper SONAME, in
| N:    which case RPATH is unnecessary.
| N:    
| N:    To fix this problem, look for link lines like:
| N:        gcc test.o -o test -Wl,--rpath,/usr/local/lib
| N:    or
| N:        gcc test.o -o test -R/usr/local/lib
| N:    and remove the -Wl,--rpath or -R argument. You can also use the chrpath
| N:    utility to remove the RPATH.
| N:    
| N:    Refer to http://wiki.debian.org/RpathIssue for details.
| N:    
| N:    Severity: serious, Certainty: possible
| N: 
`----

We're already passing --disable-rpath to configure, and adding
--disable-rpath-hack does not help either. :-(

In test/configure there is no option at all to disable RPATH.
Any ideas?

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#34182; Package libncurses5-dev. (Fri, 19 Nov 2010 09:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Fri, 19 Nov 2010 09:03:03 GMT) Full text and rfc822 format available.

Message #56 received at 34182@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Sven Joachim <svenjoac@gmx.de>, 34182@bugs.debian.org
Cc: Craig Small <csmall@debian.org>
Subject: Re: Bug#34182: Shipping compiled ncurses examples
Date: Fri, 19 Nov 2010 03:59:51 -0500 (EST)
On Fri, 19 Nov 2010, Sven Joachim wrote:

> We're already passing --disable-rpath to configure, and adding
> --disable-rpath-hack does not help either. :-(
>
> In test/configure there is no option at all to disable RPATH.
> Any ideas?

I can add an option.  test/configure was originally a minimal script,
without the various features needed in ./configure, but I can see it'll
grow a little more.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#34182; Package libncurses5-dev. (Fri, 19 Nov 2010 17:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Fri, 19 Nov 2010 17:27:03 GMT) Full text and rfc822 format available.

Message #61 received at 34182@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Thomas Dickey <dickey@his.com>
Cc: 34182@bugs.debian.org, Craig Small <csmall@debian.org>
Subject: Re: Bug#34182: Shipping compiled ncurses examples
Date: Fri, 19 Nov 2010 18:23:03 +0100
On 2010-11-19 09:59 +0100, Thomas Dickey wrote:

> On Fri, 19 Nov 2010, Sven Joachim wrote:
>
>> We're already passing --disable-rpath to configure, and adding
>> --disable-rpath-hack does not help either. :-(

Here's my analysis why this is so: irrespective of these options,
aclocal.m4 computes LD_RPATH_OPT="-Wl,-rpath," and later
LOCAL_LDFLAGS="${LD_RPATH_OPT}\$(LOCAL_LIBDIR)".  This is not a problem
for the regular programs since progs/Makefile.in does not use
LOCAL_LDFLAGS, but test/Makefile.in adds it to LDFLAGS, so we lose.

>> In test/configure there is no option at all to disable RPATH.
>> Any ideas?
>
> I can add an option.  test/configure was originally a minimal script,
> without the various features needed in ./configure, but I can see it'll
> grow a little more.

Actually rpath is not a problem when running test/configure, but I could
not get it to use the just compiled-but-not-yet-installed ncurses
library.  Because it is built out of tree, the libs are not adjacent to
the headers which is expected by the "--with-curses-dir" configure
option.

It would be good if this could be made to work, because the simplistic
solution of just copying everything from obj/test has the drawback that
cruft files like "Makefile" creep into the binary package.  And we can
only run "make install" in the test directory if we had run
test/configure before, see the recent discussion on bug-ncurses.

Cheers,
       Sven 





Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#34182; Package libncurses5-dev. (Fri, 19 Nov 2010 21:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Fri, 19 Nov 2010 21:45:03 GMT) Full text and rfc822 format available.

Message #66 received at 34182@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Sven Joachim <svenjoac@gmx.de>, 34182@bugs.debian.org
Cc: Craig Small <csmall@debian.org>
Subject: Re: Bug#34182: Shipping compiled ncurses examples
Date: Fri, 19 Nov 2010 16:42:11 -0500 (EST)
On Fri, 19 Nov 2010, Sven Joachim wrote:

> On 2010-11-19 09:59 +0100, Thomas Dickey wrote:
>
>> On Fri, 19 Nov 2010, Sven Joachim wrote:
>>
>>> We're already passing --disable-rpath to configure, and adding
>>> --disable-rpath-hack does not help either. :-(
>
> Here's my analysis why this is so: irrespective of these options,
> aclocal.m4 computes LD_RPATH_OPT="-Wl,-rpath," and later
> LOCAL_LDFLAGS="${LD_RPATH_OPT}\$(LOCAL_LIBDIR)".  This is not a problem
> for the regular programs since progs/Makefile.in does not use
> LOCAL_LDFLAGS, but test/Makefile.in adds it to LDFLAGS, so we lose.

yes... that of course is because the test programs normally live there.

>>> In test/configure there is no option at all to disable RPATH.
>>> Any ideas?
>>
>> I can add an option.  test/configure was originally a minimal script,
>> without the various features needed in ./configure, but I can see it'll
>> grow a little more.
>
> Actually rpath is not a problem when running test/configure, but I could
> not get it to use the just compiled-but-not-yet-installed ncurses
> library.  Because it is built out of tree, the libs are not adjacent to
> the headers which is expected by the "--with-curses-dir" configure
> option.
>
> It would be good if this could be made to work, because the simplistic
> solution of just copying everything from obj/test has the drawback that
> cruft files like "Makefile" creep into the binary package.  And we can
> only run "make install" in the test directory if we had run
> test/configure before, see the recent discussion on bug-ncurses.

I'll see what I can do (thanks)

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#34182; Package libncurses5-dev. (Sat, 20 Nov 2010 22:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Sat, 20 Nov 2010 22:15:03 GMT) Full text and rfc822 format available.

Message #71 received at 34182@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Sven Joachim <svenjoac@gmx.de>
Cc: Thomas Dickey <dickey@his.com>, 34182@bugs.debian.org, Craig Small <csmall@debian.org>
Subject: Re: Bug#34182: Shipping compiled ncurses examples
Date: Sat, 20 Nov 2010 17:13:23 -0500
[Message part 1 (text/plain, inline)]
On Fri, Nov 19, 2010 at 06:23:03PM +0100, Sven Joachim wrote:
> On 2010-11-19 09:59 +0100, Thomas Dickey wrote:
> 
> > On Fri, 19 Nov 2010, Sven Joachim wrote:
> >
> >> We're already passing --disable-rpath to configure, and adding
> >> --disable-rpath-hack does not help either. :-(
> 
> Here's my analysis why this is so: irrespective of these options,
> aclocal.m4 computes LD_RPATH_OPT="-Wl,-rpath," and later
> LOCAL_LDFLAGS="${LD_RPATH_OPT}\$(LOCAL_LIBDIR)".  This is not a problem
> for the regular programs since progs/Makefile.in does not use
> LOCAL_LDFLAGS, but test/Makefile.in adds it to LDFLAGS, so we lose.
> 
> >> In test/configure there is no option at all to disable RPATH.
> >> Any ideas?
> >
> > I can add an option.  test/configure was originally a minimal script,
> > without the various features needed in ./configure, but I can see it'll
> > grow a little more.
> 
> Actually rpath is not a problem when running test/configure, but I could
> not get it to use the just compiled-but-not-yet-installed ncurses
> library.  Because it is built out of tree, the libs are not adjacent to
> the headers which is expected by the "--with-curses-dir" configure
> option.
> 
> It would be good if this could be made to work, because the simplistic
> solution of just copying everything from obj/test has the drawback that
> cruft files like "Makefile" creep into the binary package.  And we can
> only run "make install" in the test directory if we had run
> test/configure before, see the recent discussion on bug-ncurses.

I've just implemented the latter, for today.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#34182; Package libncurses5-dev. (Sun, 21 Nov 2010 09:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Sun, 21 Nov 2010 09:48:03 GMT) Full text and rfc822 format available.

Message #76 received at 34182@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: dickey@his.com
Cc: 34182@bugs.debian.org, Craig Small <csmall@debian.org>
Subject: Re: Bug#34182: Shipping compiled ncurses examples
Date: Sun, 21 Nov 2010 10:45:34 +0100
On 2010-11-20 23:13 +0100, Thomas Dickey wrote:

> On Fri, Nov 19, 2010 at 06:23:03PM +0100, Sven Joachim wrote:
>> 
>> Actually rpath is not a problem when running test/configure, but I could
>> not get it to use the just compiled-but-not-yet-installed ncurses
>> library.  Because it is built out of tree, the libs are not adjacent to
>> the headers which is expected by the "--with-curses-dir" configure
>> option.
>> 
>> It would be good if this could be made to work, because the simplistic
>> solution of just copying everything from obj/test has the drawback that
>> cruft files like "Makefile" creep into the binary package.  And we can
>> only run "make install" in the test directory if we had run
>> test/configure before, see the recent discussion on bug-ncurses.
>
> I've just implemented the latter, for today.

Thanks, this seems to work.  However, I just discovered the next missing
piece in the puzzle -- the tests themselves fail to build out of tree:

,----
| $ mkdir -p build && cd build && ../test/configure && make
| [...]
| configure: creating ./config.status
| config.status: creating Makefile
| config.status: creating ncurses_cfg.h
| make: *** No rule to make target `background.c', needed by `../build/background.o'.  Stop.
`----

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#34182; Package libncurses5-dev. (Sun, 21 Nov 2010 11:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Sun, 21 Nov 2010 11:57:07 GMT) Full text and rfc822 format available.

Message #81 received at 34182@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Sven Joachim <svenjoac@gmx.de>, 34182@bugs.debian.org
Cc: Craig Small <csmall@debian.org>, debian-bugs-dist@lists.debian.org
Subject: Re: Bug#34182: Shipping compiled ncurses examples
Date: Sun, 21 Nov 2010 06:52:56 -0500 (EST)
On Sun, 21 Nov 2010, Sven Joachim wrote:

> On 2010-11-20 23:13 +0100, Thomas Dickey wrote:
>
>> On Fri, Nov 19, 2010 at 06:23:03PM +0100, Sven Joachim wrote:
>>>
>>> Actually rpath is not a problem when running test/configure, but I could
>>> not get it to use the just compiled-but-not-yet-installed ncurses
>>> library.  Because it is built out of tree, the libs are not adjacent to
>>> the headers which is expected by the "--with-curses-dir" configure
>>> option.
>>>
>>> It would be good if this could be made to work, because the simplistic
>>> solution of just copying everything from obj/test has the drawback that
>>> cruft files like "Makefile" creep into the binary package.  And we can
>>> only run "make install" in the test directory if we had run
>>> test/configure before, see the recent discussion on bug-ncurses.
>>
>> I've just implemented the latter, for today.
>
> Thanks, this seems to work.  However, I just discovered the next missing
> piece in the puzzle -- the tests themselves fail to build out of tree:

sorry - I keep overlooking that aspect (most of my builds are in-tree,
just because they're simpler to manage).  Will fix...

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#34182; Package libncurses5-dev. (Sun, 28 Nov 2010 07:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Sun, 28 Nov 2010 07:36:02 GMT) Full text and rfc822 format available.

Message #86 received at 34182@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Thomas Dickey <dickey@his.com>
Cc: 34182@bugs.debian.org, Craig Small <csmall@debian.org>
Subject: Re: Bug#34182: Shipping compiled ncurses examples
Date: Sun, 28 Nov 2010 08:29:42 +0100
On 2010-11-21 12:52 +0100, Thomas Dickey wrote:

> On Sun, 21 Nov 2010, Sven Joachim wrote:
>
>> On 2010-11-20 23:13 +0100, Thomas Dickey wrote:
>>
>>> On Fri, Nov 19, 2010 at 06:23:03PM +0100, Sven Joachim wrote:
>>>>
>>>> Actually rpath is not a problem when running test/configure, but I could
>>>> not get it to use the just compiled-but-not-yet-installed ncurses
>>>> library.  Because it is built out of tree, the libs are not adjacent to
>>>> the headers which is expected by the "--with-curses-dir" configure
>>>> option.
>>>>
>>>> It would be good if this could be made to work, because the simplistic
>>>> solution of just copying everything from obj/test has the drawback that
>>>> cruft files like "Makefile" creep into the binary package.  And we can
>>>> only run "make install" in the test directory if we had run
>>>> test/configure before, see the recent discussion on bug-ncurses.
>>>
>>> I've just implemented the latter, for today.
>>
>> Thanks, this seems to work.  However, I just discovered the next missing
>> piece in the puzzle -- the tests themselves fail to build out of tree:
>
> sorry - I keep overlooking that aspect (most of my builds are in-tree,
> just because they're simpler to manage).  Will fix...

Was the VPATH change to test/Makefile.in you made yesterday supposed to
fix the problem?  It does not seem to help.

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#34182; Package libncurses5-dev. (Sun, 28 Nov 2010 11:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Sun, 28 Nov 2010 11:27:03 GMT) Full text and rfc822 format available.

Message #91 received at 34182@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Sven Joachim <svenjoac@gmx.de>, 34182@bugs.debian.org
Cc: Craig Small <csmall@debian.org>
Subject: Re: Bug#34182: Shipping compiled ncurses examples
Date: Sun, 28 Nov 2010 06:22:48 -0500 (EST)
On Sun, 28 Nov 2010, Sven Joachim wrote:

> On 2010-11-21 12:52 +0100, Thomas Dickey wrote:
>
>> On Sun, 21 Nov 2010, Sven Joachim wrote:
>>
>>> On 2010-11-20 23:13 +0100, Thomas Dickey wrote:
>>>
>>>> On Fri, Nov 19, 2010 at 06:23:03PM +0100, Sven Joachim wrote:
>>>>>
>>>>> Actually rpath is not a problem when running test/configure, but I could
>>>>> not get it to use the just compiled-but-not-yet-installed ncurses
>>>>> library.  Because it is built out of tree, the libs are not adjacent to
>>>>> the headers which is expected by the "--with-curses-dir" configure
>>>>> option.
>>>>>
>>>>> It would be good if this could be made to work, because the simplistic
>>>>> solution of just copying everything from obj/test has the drawback that
>>>>> cruft files like "Makefile" creep into the binary package.  And we can
>>>>> only run "make install" in the test directory if we had run
>>>>> test/configure before, see the recent discussion on bug-ncurses.
>>>>
>>>> I've just implemented the latter, for today.
>>>
>>> Thanks, this seems to work.  However, I just discovered the next missing
>>> piece in the puzzle -- the tests themselves fail to build out of tree:
>>
>> sorry - I keep overlooking that aspect (most of my builds are in-tree,
>> just because they're simpler to manage).  Will fix...
>
> Was the VPATH change to test/Makefile.in you made yesterday supposed to
> fix the problem?  It does not seem to help.

I tested it with a couple of configurations (which worked):

a) a subdirectory of "test"
This was a case that needed VPATH.

b) a completely different tree (for the whole ncurses tree).

c) an in-build-tree copy from the result of make_tar.sh
That reminded me about term_entry.h, fixed as well.

I didn't do an out-of-build-tree build for (c).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#34182; Package libncurses5-dev. (Sun, 28 Nov 2010 12:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Sun, 28 Nov 2010 12:06:03 GMT) Full text and rfc822 format available.

Message #96 received at 34182@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Thomas Dickey <dickey@his.com>
Cc: 34182@bugs.debian.org, Craig Small <csmall@debian.org>
Subject: Re: Bug#34182: Shipping compiled ncurses examples
Date: Sun, 28 Nov 2010 13:03:10 +0100
On 2010-11-28 12:22 +0100, Thomas Dickey wrote:

> On Sun, 28 Nov 2010, Sven Joachim wrote:
>
>> On 2010-11-21 12:52 +0100, Thomas Dickey wrote:
>>
>>> On Sun, 21 Nov 2010, Sven Joachim wrote:
>>>
>>>> On 2010-11-20 23:13 +0100, Thomas Dickey wrote:
>>>>
>>>>> On Fri, Nov 19, 2010 at 06:23:03PM +0100, Sven Joachim wrote:
>>>>>>
>>>>>> Actually rpath is not a problem when running test/configure, but I could
>>>>>> not get it to use the just compiled-but-not-yet-installed ncurses
>>>>>> library.  Because it is built out of tree, the libs are not adjacent to
>>>>>> the headers which is expected by the "--with-curses-dir" configure
>>>>>> option.
>>>>>>
>>>>>> It would be good if this could be made to work, because the simplistic
>>>>>> solution of just copying everything from obj/test has the drawback that
>>>>>> cruft files like "Makefile" creep into the binary package.  And we can
>>>>>> only run "make install" in the test directory if we had run
>>>>>> test/configure before, see the recent discussion on bug-ncurses.
>>>>>
>>>>> I've just implemented the latter, for today.
>>>>
>>>> Thanks, this seems to work.  However, I just discovered the next missing
>>>> piece in the puzzle -- the tests themselves fail to build out of tree:
>>>
>>> sorry - I keep overlooking that aspect (most of my builds are in-tree,
>>> just because they're simpler to manage).  Will fix...
>>
>> Was the VPATH change to test/Makefile.in you made yesterday supposed to
>> fix the problem?  It does not seem to help.
>
> I tested it with a couple of configurations (which worked):
>
> a) a subdirectory of "test"
> This was a case that needed VPATH.
>
> b) a completely different tree (for the whole ncurses tree).
>
> c) an in-build-tree copy from the result of make_tar.sh
> That reminded me about term_entry.h, fixed as well.
>
> I didn't do an out-of-build-tree build for (c).

Alas, this is exactly what I want to do (not necessarily running
make_tar.sh before, though), and it does not work. :-(

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#34182; Package libncurses5-dev. (Sun, 28 Nov 2010 15:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Sun, 28 Nov 2010 15:24:02 GMT) Full text and rfc822 format available.

Message #101 received at 34182@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Sven Joachim <svenjoac@gmx.de>
Cc: 34182@bugs.debian.org, Craig Small <csmall@debian.org>
Subject: Re: Bug#34182: Shipping compiled ncurses examples
Date: Sun, 28 Nov 2010 10:19:56 -0500 (EST)
On Sun, 28 Nov 2010, Sven Joachim wrote:

> On 2010-11-28 12:22 +0100, Thomas Dickey wrote:
>
>> On Sun, 28 Nov 2010, Sven Joachim wrote:
>>
>>> On 2010-11-21 12:52 +0100, Thomas Dickey wrote:
>>>
>>>> On Sun, 21 Nov 2010, Sven Joachim wrote:
>>>>
>>>>> On 2010-11-20 23:13 +0100, Thomas Dickey wrote:
>>>>>
>>>>>> On Fri, Nov 19, 2010 at 06:23:03PM +0100, Sven Joachim wrote:
>>>>>>>
>>>>>>> Actually rpath is not a problem when running test/configure, but I could
>>>>>>> not get it to use the just compiled-but-not-yet-installed ncurses
>>>>>>> library.  Because it is built out of tree, the libs are not adjacent to
>>>>>>> the headers which is expected by the "--with-curses-dir" configure
>>>>>>> option.
>>>>>>>
>>>>>>> It would be good if this could be made to work, because the simplistic
>>>>>>> solution of just copying everything from obj/test has the drawback that
>>>>>>> cruft files like "Makefile" creep into the binary package.  And we can
>>>>>>> only run "make install" in the test directory if we had run
>>>>>>> test/configure before, see the recent discussion on bug-ncurses.
>>>>>>
>>>>>> I've just implemented the latter, for today.
>>>>>
>>>>> Thanks, this seems to work.  However, I just discovered the next missing
>>>>> piece in the puzzle -- the tests themselves fail to build out of tree:
>>>>
>>>> sorry - I keep overlooking that aspect (most of my builds are in-tree,
>>>> just because they're simpler to manage).  Will fix...
>>>
>>> Was the VPATH change to test/Makefile.in you made yesterday supposed to
>>> fix the problem?  It does not seem to help.
>>
>> I tested it with a couple of configurations (which worked):
>>
>> a) a subdirectory of "test"
>> This was a case that needed VPATH.
>>
>> b) a completely different tree (for the whole ncurses tree).
>>
>> c) an in-build-tree copy from the result of make_tar.sh
>> That reminded me about term_entry.h, fixed as well.
>>
>> I didn't do an out-of-build-tree build for (c).
>
> Alas, this is exactly what I want to do (not necessarily running
> make_tar.sh before, though), and it does not work. :-(

yes - I assumed that you didn't want to use (c), but something like (a).

Referring to your email:

	$ mkdir -p build && cd build && ../test/configure && make

I'd thought that (a) would match this case.  But trying just that, I
see that I was mistaken:

config.status: creating Makefile
config.status: creating ncurses_cfg.h
compiling background
gcc: background.c: No such file or directory
gcc: no input files
make: *** [../build/background.o] Error 1

(this is dragging on - I'll see if I have time today to address this)

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#34182; Package libncurses5-dev. (Sun, 28 Nov 2010 18:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Sun, 28 Nov 2010 18:45:03 GMT) Full text and rfc822 format available.

Message #106 received at 34182@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Thomas Dickey <dickey@his.com>, 34182@bugs.debian.org
Cc: Sven Joachim <svenjoac@gmx.de>, Craig Small <csmall@debian.org>
Subject: Re: Bug#34182: Shipping compiled ncurses examples
Date: Sun, 28 Nov 2010 13:43:00 -0500 (EST)
On Sun, 28 Nov 2010, Thomas Dickey wrote:

> On Sun, 28 Nov 2010, Sven Joachim wrote:
>
>> On 2010-11-28 12:22 +0100, Thomas Dickey wrote:
>> 
>>> On Sun, 28 Nov 2010, Sven Joachim wrote:
>>> 
>>>> On 2010-11-21 12:52 +0100, Thomas Dickey wrote:
>>>> 
>>>>> On Sun, 21 Nov 2010, Sven Joachim wrote:
>>>>> 
>>>>>> On 2010-11-20 23:13 +0100, Thomas Dickey wrote:
>>>>>> 
>>>>>>> On Fri, Nov 19, 2010 at 06:23:03PM +0100, Sven Joachim wrote:
>>>>>>>> 
>>>>>>>> Actually rpath is not a problem when running test/configure, but I 
>>>>>>>> could
>>>>>>>> not get it to use the just compiled-but-not-yet-installed ncurses
>>>>>>>> library.  Because it is built out of tree, the libs are not adjacent 
>>>>>>>> to
>>>>>>>> the headers which is expected by the "--with-curses-dir" configure
>>>>>>>> option.
>>>>>>>> 
>>>>>>>> It would be good if this could be made to work, because the 
>>>>>>>> simplistic
>>>>>>>> solution of just copying everything from obj/test has the drawback 
>>>>>>>> that
>>>>>>>> cruft files like "Makefile" creep into the binary package.  And we 
>>>>>>>> can
>>>>>>>> only run "make install" in the test directory if we had run
>>>>>>>> test/configure before, see the recent discussion on bug-ncurses.
>>>>>>> 
>>>>>>> I've just implemented the latter, for today.
>>>>>> 
>>>>>> Thanks, this seems to work.  However, I just discovered the next 
>>>>>> missing
>>>>>> piece in the puzzle -- the tests themselves fail to build out of tree:
>>>>> 
>>>>> sorry - I keep overlooking that aspect (most of my builds are in-tree,
>>>>> just because they're simpler to manage).  Will fix...
>>>> 
>>>> Was the VPATH change to test/Makefile.in you made yesterday supposed to
>>>> fix the problem?  It does not seem to help.
>>> 
>>> I tested it with a couple of configurations (which worked):
>>> 
>>> a) a subdirectory of "test"
>>> This was a case that needed VPATH.
>>> 
>>> b) a completely different tree (for the whole ncurses tree).
>>> 
>>> c) an in-build-tree copy from the result of make_tar.sh
>>> That reminded me about term_entry.h, fixed as well.
>>> 
>>> I didn't do an out-of-build-tree build for (c).
>> 
>> Alas, this is exactly what I want to do (not necessarily running
>> make_tar.sh before, though), and it does not work. :-(
>
> yes - I assumed that you didn't want to use (c), but something like (a).
>
> Referring to your email:
>
> 	$ mkdir -p build && cd build && ../test/configure && make
>
> I'd thought that (a) would match this case.  But trying just that, I
> see that I was mistaken:
>
> config.status: creating Makefile
> config.status: creating ncurses_cfg.h
> compiling background
> gcc: background.c: No such file or directory
> gcc: no input files
> make: *** [../build/background.o] Error 1
>
> (this is dragging on - I'll see if I have time today to address this)

done...

Bear in mind that the --with-curses-dir option needs an absolute pathname
(I did that with a `cd ..;pwd` for instance).

I checked the other configurations as well, don't see that I've broken 
anything.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#34182; Package libncurses5-dev. (Sun, 28 Nov 2010 19:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Sun, 28 Nov 2010 19:42:03 GMT) Full text and rfc822 format available.

Message #111 received at 34182@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Thomas Dickey <dickey@his.com>
Cc: 34182@bugs.debian.org, Craig Small <csmall@debian.org>
Subject: Re: Bug#34182: Shipping compiled ncurses examples
Date: Sun, 28 Nov 2010 20:39:41 +0100
On 2010-11-28 19:43 +0100, Thomas Dickey wrote:

> On Sun, 28 Nov 2010, Thomas Dickey wrote:
>>
>> Referring to your email:
>>
>> 	$ mkdir -p build && cd build && ../test/configure && make
>>
>> I'd thought that (a) would match this case.  But trying just that, I
>> see that I was mistaken:
>>
>> config.status: creating Makefile
>> config.status: creating ncurses_cfg.h
>> compiling background
>> gcc: background.c: No such file or directory
>> gcc: no input files
>> make: *** [../build/background.o] Error 1
>>
>> (this is dragging on - I'll see if I have time today to address this)
>
> done...
>
> Bear in mind that the --with-curses-dir option needs an absolute pathname
> (I did that with a `cd ..;pwd` for instance).

I had figured this out the hard way already.  Fortunately, our
debian/rules is already prepared for that, recording the full pathname
in $(objdir).

> I checked the other configurations as well, don't see that I've broken
> anything.

It seems to work now.  Thank you.

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#34182; Package libncurses5-dev. (Sun, 28 Nov 2010 19:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Sun, 28 Nov 2010 19:45:03 GMT) Full text and rfc822 format available.

Message #116 received at 34182@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Sven Joachim <svenjoac@gmx.de>
Cc: 34182@bugs.debian.org, Craig Small <csmall@debian.org>
Subject: Re: Bug#34182: Shipping compiled ncurses examples
Date: Sun, 28 Nov 2010 14:42:50 -0500 (EST)
On Sun, 28 Nov 2010, Sven Joachim wrote:

> On 2010-11-28 19:43 +0100, Thomas Dickey wrote:
>
>> On Sun, 28 Nov 2010, Thomas Dickey wrote:
>>>
>>> Referring to your email:
>>>
>>> 	$ mkdir -p build && cd build && ../test/configure && make
>>>
>>> I'd thought that (a) would match this case.  But trying just that, I
>>> see that I was mistaken:
>>>
>>> config.status: creating Makefile
>>> config.status: creating ncurses_cfg.h
>>> compiling background
>>> gcc: background.c: No such file or directory
>>> gcc: no input files
>>> make: *** [../build/background.o] Error 1
>>>
>>> (this is dragging on - I'll see if I have time today to address this)
>>
>> done...
>>
>> Bear in mind that the --with-curses-dir option needs an absolute pathname
>> (I did that with a `cd ..;pwd` for instance).
>
> I had figured this out the hard way already.  Fortunately, our
> debian/rules is already prepared for that, recording the full pathname
> in $(objdir).
>
>> I checked the other configurations as well, don't see that I've broken
>> anything.
>
> It seems to work now.  Thank you.

no problem (report bugs)

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Added tag(s) pending. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Mon, 29 Nov 2010 17:54:05 GMT) Full text and rfc822 format available.

Message sent on to Edward Betts <edward@debian.org>:
Bug#34182. (Mon, 29 Nov 2010 17:54:07 GMT) Full text and rfc822 format available.

Message #121 received at 34182-submitter@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 34182-submitter@bugs.debian.org
Subject: Bug#34182 marked as pending
Date: Mon, 29 Nov 2010 17:50:29 +0000
tag 34182 pending
thanks

Hello,

Bug #34182 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=collab-maint/ncurses.git;a=commitdiff;h=eefc64d

---
commit eefc64d1d2317361efdb62d1bbe194011cab0021
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Mon Nov 29 17:29:59 2010 +0100

    Provide an ncurses-examples package with the test programs
    
    We need to configure and build the test programs separately by running
    test/configure for two reasons:
    
    - When built together with the library packages, the test programs
      contain an RPATH header which is not allowed in Debian.
    
    - The Makefile for the test programs lacks a usable install target if
      they are not built separately, which is a deliberate decision by
      upstream, see
      http://lists.gnu.org/archive/html/bug-ncurses/2010-11/msg00002.html.

diff --git a/debian/changelog b/debian/changelog
index 66a97bf..486566e 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -5,6 +5,8 @@ ncurses (5.7+20101128-1) UNRELEASED; urgency=low
     - Clarify that infotocap, captoinfo and tic read text files and do
       not work with compiled terminfo files (Closes: #593920).
   * Remove dangling /usr/share/terminfo/k/kon2 symlink (Closes: #522435).
+  * Add an ncurses-examples package containing the compiled test programs
+    (Closes: #34182).
   * Ship mlterm terminfo in ncurses-term (see #485448).
   * Ship curses and termcap symlinks in lib{32,64}ncurses5-dev (LP: #485118).
   * Add lintian override for the empty /usr/share/terminfo directory that




Reply sent to Sven Joachim <svenjoac@gmx.de>:
You have taken responsibility. (Fri, 31 Dec 2010 14:09:08 GMT) Full text and rfc822 format available.

Notification sent to Edward Betts <edward@debian.org>:
Bug acknowledged by developer. (Fri, 31 Dec 2010 14:09:08 GMT) Full text and rfc822 format available.

Message #126 received at 34182-close@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 34182-close@bugs.debian.org
Subject: Bug#34182: fixed in ncurses 5.7+20101128-1
Date: Fri, 31 Dec 2010 14:05:48 +0000
Source: ncurses
Source-Version: 5.7+20101128-1

We believe that the bug you reported is fixed in the latest version of
ncurses, which is due to be installed in the Debian FTP archive:

lib32ncurses5-dev_5.7+20101128-1_amd64.deb
  to main/n/ncurses/lib32ncurses5-dev_5.7+20101128-1_amd64.deb
lib32ncurses5_5.7+20101128-1_amd64.deb
  to main/n/ncurses/lib32ncurses5_5.7+20101128-1_amd64.deb
lib32ncursesw5-dev_5.7+20101128-1_amd64.deb
  to main/n/ncurses/lib32ncursesw5-dev_5.7+20101128-1_amd64.deb
lib32ncursesw5_5.7+20101128-1_amd64.deb
  to main/n/ncurses/lib32ncursesw5_5.7+20101128-1_amd64.deb
libncurses5-dbg_5.7+20101128-1_amd64.deb
  to main/n/ncurses/libncurses5-dbg_5.7+20101128-1_amd64.deb
libncurses5-dev_5.7+20101128-1_amd64.deb
  to main/n/ncurses/libncurses5-dev_5.7+20101128-1_amd64.deb
libncurses5_5.7+20101128-1_amd64.deb
  to main/n/ncurses/libncurses5_5.7+20101128-1_amd64.deb
libncursesw5-dbg_5.7+20101128-1_amd64.deb
  to main/n/ncurses/libncursesw5-dbg_5.7+20101128-1_amd64.deb
libncursesw5-dev_5.7+20101128-1_amd64.deb
  to main/n/ncurses/libncursesw5-dev_5.7+20101128-1_amd64.deb
libncursesw5_5.7+20101128-1_amd64.deb
  to main/n/ncurses/libncursesw5_5.7+20101128-1_amd64.deb
ncurses-base_5.7+20101128-1_all.deb
  to main/n/ncurses/ncurses-base_5.7+20101128-1_all.deb
ncurses-bin_5.7+20101128-1_amd64.deb
  to main/n/ncurses/ncurses-bin_5.7+20101128-1_amd64.deb
ncurses-doc_5.7+20101128-1_all.deb
  to main/n/ncurses/ncurses-doc_5.7+20101128-1_all.deb
ncurses-examples_5.7+20101128-1_amd64.deb
  to main/n/ncurses/ncurses-examples_5.7+20101128-1_amd64.deb
ncurses-term_5.7+20101128-1_all.deb
  to main/n/ncurses/ncurses-term_5.7+20101128-1_all.deb
ncurses_5.7+20101128-1.debian.tar.gz
  to main/n/ncurses/ncurses_5.7+20101128-1.debian.tar.gz
ncurses_5.7+20101128-1.dsc
  to main/n/ncurses/ncurses_5.7+20101128-1.dsc
ncurses_5.7+20101128.orig.tar.gz
  to main/n/ncurses/ncurses_5.7+20101128.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 34182@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sven Joachim <svenjoac@gmx.de> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 29 Nov 2010 16:41:55 +0100
Source: ncurses
Binary: libncurses5 libncurses5-dev libncurses5-dbg libncursesw5 libncursesw5-dev libncursesw5-dbg lib64ncurses5 lib64ncurses5-dev lib32ncurses5 lib32ncurses5-dev lib32ncursesw5 lib32ncursesw5-dev ncurses-bin ncurses-base ncurses-term ncurses-examples ncurses-doc
Architecture: source amd64 all
Version: 5.7+20101128-1
Distribution: experimental
Urgency: low
Maintainer: Craig Small <csmall@debian.org>
Changed-By: Sven Joachim <svenjoac@gmx.de>
Description: 
 lib32ncurses5 - shared libraries for terminal handling (32-bit)
 lib32ncurses5-dev - developer's libraries for ncurses (32-bit)
 lib32ncursesw5 - shared libraries for terminal handling (wide character support) (
 lib32ncursesw5-dev - developer's libraries for ncursesw (32-bit)
 lib64ncurses5 - shared libraries for terminal handling (64-bit)
 lib64ncurses5-dev - developer's libraries for ncurses (64-bit)
 libncurses5 - shared libraries for terminal handling
 libncurses5-dbg - debugging/profiling libraries for ncurses
 libncurses5-dev - developer's libraries for ncurses
 libncursesw5 - shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - debugging/profiling libraries for ncursesw
 libncursesw5-dev - developer's libraries for ncursesw
 ncurses-base - basic terminal type definitions
 ncurses-bin - terminal-related programs and man pages
 ncurses-doc - developer's guide and documentation for ncurses
 ncurses-examples - test programs and examples for ncurses
 ncurses-term - additional terminal type definitions
Closes: 34182 233400 451667 522435 586144 593920 602300 606034
Changes: 
 ncurses (5.7+20101128-1) experimental; urgency=low
 .
   [ Sven Joachim ]
   * New upstream patchlevel.
     - Clarify that infotocap, captoinfo and tic read text files and do
       not work with compiled terminfo files (Closes: #593920).
   * Remove dangling /usr/share/terminfo/k/kon2 symlink (Closes: #522435).
   * Add an ncurses-examples package containing the compiled test programs
     (Closes: #34182).  Stop shipping the sources in libncurses5-dev.
   * Move documentation and section 3 manpages to a new ncurses-doc package
     (Closes: #233400).  Suggest ncurses-doc in all -dev packages.
   * Register the documentation in doc-base (Closes: #451667).
   * Remove the rather useless README.Debian (Closes: #606034).
   * Move libtic libraries to /usr.
   * Tighten the dependencies of the lib{32,64}ncurses*-dev packages to their
     regular counterparts.
   * Provide symbols files in all library packages.
     - Use them to compute the dependencies of the other packages instead of
       messing around with local shlibs files.
   * Ship mlterm terminfo in ncurses-term (see #485448).
   * Ship curses and termcap symlinks in lib{32,64}ncurses5-dev (LP: #485118).
   * Add lintian override for the empty /usr/share/terminfo directory that
     was introduced in 5.7+20100313-2.
   * Stop building the test programs in every library build.
   * Fix non-idempotency of the install (and thus the binary) target in
     debian/rules introduced in 5.7+20100313-1.
   * Do not unnecessarily add /lib32 and /usr/lib32 to dh_shlibdeps' search
     path when calculating the dependencies of the 32-bit libraries.
   * Do not allow dh_shlibdeps to fail for the 64-bit libraries.
   * Drop most patches as obsolete or unused:
     - 09-fix-delscreen-segfault.diff, applied upstream.
     - 06-kfreebsd.diff, apparently no longer needed.
     - 03-linux-use-fsuid.diff, patched code that is not compiled if ncurses
       is configured with "--disable-termcap", as we do.
     - 01-use-d-reentrant.diff, no longer needed since all architectures moved
       away from LinuxThreads and Policy 3.9.1 has explicitly removed the need
       to #define _REENTRANT.
   * Refresh all remaining Debian patches and add DEP-3 headers to them.
   * Remove the fix for bug #127622 from 02-debian-backspace.diff,
     no longer needed.
   * Update patch 02-debian-backspace.diff to get kbs=\177 in all screen-*
     terminfo entries (Closes: #602300).
   * Drop the rather outdated screen terminfo from the debian directory and use
     the one provided by upstream's terminfo.src instead.
   * Get CFLAGS, CXXFLAGS and LDFLAGS from dpkg-buildflags, adding a build
     dependency on dpkg-dev (>= 1.15.7).
   * Switch to format 3.0 (quilt).
     - Remove quilt build dependency and patch/unpatch logic from debian/rules.
     - Drop debian/README.source.
   * Add a debian/watch file.
   * Extend the package descriptions.
   * Remove duplicate "Priority:" fields from debian/control.
   * Update debian/copyright:
     - Update FSF Copyright years.
     - Mention other copyright holders and licenses.
     - Give a pointer to the current location of the ncurses sources.
     - Stop mentioning Debian changes.
   * Upgrade Standards-Version to 3.9.1, no changes needed.
 .
   [ Loïc Minier ]
   * Update patch 05-emdebian-wchar to apply cleanly.
   * Drop 08-pkg-config-libdir patch as dpkg >= 1.15.6 don't set
     PKG_CONFIG_LIBDIR anymore.
 .
   [ Steve Langasek ]
   * Export LDFLAGS in debian/rules (Closes: #586144).
Checksums-Sha1: 
 447ace7bf91acec8549f2757765f03fa45df1899 1637 ncurses_5.7+20101128-1.dsc
 871ff1a0484fd2d621dda88ba914a877ab3eae6b 2741870 ncurses_5.7+20101128.orig.tar.gz
 a10fdb0a1c8b3469fd18f361170b039f02daa766 57193 ncurses_5.7+20101128-1.debian.tar.gz
 a84a81a3ffe0ddd0067ad3df59b01a95a139312a 374232 libncurses5_5.7+20101128-1_amd64.deb
 e40b25c594eaaa7dab512cc33623ffc6b616ef7c 502486 libncurses5-dev_5.7+20101128-1_amd64.deb
 7939c6ee2c649be811e1587b600a62a7078a2e8b 3535086 libncurses5-dbg_5.7+20101128-1_amd64.deb
 46ce3bd1debc5d5d76c0d4fc50cc87e822bbc458 398902 libncursesw5_5.7+20101128-1_amd64.deb
 40dc6425483a86ee4acf5136e636d32d929df983 534934 libncursesw5-dev_5.7+20101128-1_amd64.deb
 88b1f6b069961f597b7e63c4d86d81d9351dd70f 2810360 libncursesw5-dbg_5.7+20101128-1_amd64.deb
 6f6cedf68b9b8f1a3ab26d70fff639c7b92ea89e 354472 lib32ncurses5_5.7+20101128-1_amd64.deb
 9a4f921c36e65a1e75cbe5708a9ce813423145b4 403178 lib32ncurses5-dev_5.7+20101128-1_amd64.deb
 93419654c17230727c0be2e0af189224a50fbb47 381638 lib32ncursesw5_5.7+20101128-1_amd64.deb
 72b66517c2b8d82093a281518d541a3dcea0091a 433014 lib32ncursesw5-dev_5.7+20101128-1_amd64.deb
 580a4eae569f0b21ead53cac60eca528b5951fb1 328776 ncurses-bin_5.7+20101128-1_amd64.deb
 711222f1085eca3efe201d0e982cffc65828571b 409666 ncurses-examples_5.7+20101128-1_amd64.deb
 be516a70259f0dcf690ce015cd0d6898a2adabe1 193370 ncurses-base_5.7+20101128-1_all.deb
 19ee0542cb7174f19aed57bd4749d89cfcedb67b 590104 ncurses-term_5.7+20101128-1_all.deb
 afda85024edb65e2e4fb34aa5515cd3b3269a67a 1013344 ncurses-doc_5.7+20101128-1_all.deb
Checksums-Sha256: 
 94425c0c2999eac2ad2d06f183ae466ef906ded6dd54d9ca2f553ad1b8ec03df 1637 ncurses_5.7+20101128-1.dsc
 1370f04e4152cb41a61b3e1df4473b8357c882b544221dfdf0664c1fcf46624d 2741870 ncurses_5.7+20101128.orig.tar.gz
 1de186dffaf116f65c4ebbb281dcf553346ac729f6451f558e1de0f829831f0a 57193 ncurses_5.7+20101128-1.debian.tar.gz
 31b6720f37c8b05f58b00cbd63babab5d92df7e3dab3de795ebf9b9b387cb440 374232 libncurses5_5.7+20101128-1_amd64.deb
 d6b2bf46384b9515cc7d01a60683ff798a0c89c54b1681153852c7d031d0d0b3 502486 libncurses5-dev_5.7+20101128-1_amd64.deb
 8869525fd35bfae753bfeedcba9edeb10deb8a8dd7ce40101f7e931aef25e560 3535086 libncurses5-dbg_5.7+20101128-1_amd64.deb
 bc11e5e5989168ff874d165c0c9b03fd8bfc3e5558ccfea68094c125e5c49c11 398902 libncursesw5_5.7+20101128-1_amd64.deb
 eaa92851e1c18fb2f9c74eb096e4e41ef86f03601c864eda774fcec318d72ad5 534934 libncursesw5-dev_5.7+20101128-1_amd64.deb
 d5859dd3ded77a771efd110e6e456534dd1cab4cda6f888358a8c239c4883bb3 2810360 libncursesw5-dbg_5.7+20101128-1_amd64.deb
 2b379be0b3e09791268c0cbf8c2ca7ec74fd607686d27890d33f1e69c0dda1ee 354472 lib32ncurses5_5.7+20101128-1_amd64.deb
 cf46f9e2c527501dc411f37b94925238c87e64946e33b23d8d1c029ff4f760b9 403178 lib32ncurses5-dev_5.7+20101128-1_amd64.deb
 6d24616c6b58feebf7c47f58ee6ee75e3c20fb3a0a87f9acb4858acbb208b6b5 381638 lib32ncursesw5_5.7+20101128-1_amd64.deb
 3b191e3c2c9639e5d12f0e0f6916e41841fd07d5848dcb9c4ecd215d2cc18b9c 433014 lib32ncursesw5-dev_5.7+20101128-1_amd64.deb
 79018418a140f8ac4720d2fb6f54ace1f688eed53d145c74c4f44ecb076c5626 328776 ncurses-bin_5.7+20101128-1_amd64.deb
 82193a37f2f01908b854cf23975fc9bec9f93203d99b47c651042d9066d32608 409666 ncurses-examples_5.7+20101128-1_amd64.deb
 5571cf8bfd6cfa3d31a5ecade3a44fd8fd849e017915a401910b05579a500f37 193370 ncurses-base_5.7+20101128-1_all.deb
 21a9b88488f4bcc4eb18ac91dcebbb0d9c5edfa78be2997b546fc5f6e696f388 590104 ncurses-term_5.7+20101128-1_all.deb
 3353f89cc4302c77a92898b47331609e0b5998e5da260696ccc666da54655be8 1013344 ncurses-doc_5.7+20101128-1_all.deb
Files: 
 633381900c5804735a1a07c68904998d 1637 libs required ncurses_5.7+20101128-1.dsc
 545701981f14b0bb1f21589648a14517 2741870 libs required ncurses_5.7+20101128.orig.tar.gz
 6cba3f0660fdadfea56388d8957571ba 57193 libs required ncurses_5.7+20101128-1.debian.tar.gz
 b47950a7f978f09ddb54b0af89116dfb 374232 libs required libncurses5_5.7+20101128-1_amd64.deb
 03912a578ec45fe9e97d4171e2f97248 502486 libdevel optional libncurses5-dev_5.7+20101128-1_amd64.deb
 1f73c22793a9a07604c307e07d7ab611 3535086 debug extra libncurses5-dbg_5.7+20101128-1_amd64.deb
 40d1ebfdb389afad8dc9f345f32148b9 398902 libs important libncursesw5_5.7+20101128-1_amd64.deb
 f9fedee30d8344dcdae34e23968aa595 534934 libdevel optional libncursesw5-dev_5.7+20101128-1_amd64.deb
 feba476166384b22f11797fb29811efa 2810360 debug extra libncursesw5-dbg_5.7+20101128-1_amd64.deb
 557787979d0018417aa893689ea06051 354472 libs optional lib32ncurses5_5.7+20101128-1_amd64.deb
 54898d30f585e09f058412c3a35961f6 403178 libdevel optional lib32ncurses5-dev_5.7+20101128-1_amd64.deb
 f2a71b5ff9569c637eacbbba64e61373 381638 libs optional lib32ncursesw5_5.7+20101128-1_amd64.deb
 87e0f32c75962c7c60a727e64ee11934 433014 libdevel optional lib32ncursesw5-dev_5.7+20101128-1_amd64.deb
 21e3a7667946c82cdd1d9088e5fe50e4 328776 utils required ncurses-bin_5.7+20101128-1_amd64.deb
 edbf209b96ff803cdc22e04077ff6948 409666 misc optional ncurses-examples_5.7+20101128-1_amd64.deb
 afcb4cfbd904c9cbf2e3647bcdc47bf5 193370 utils required ncurses-base_5.7+20101128-1_all.deb
 5ca918b98800583d87d090b0a7a75192 590104 admin standard ncurses-term_5.7+20101128-1_all.deb
 dde814c423a8f8b44d202fa6c02855e6 1013344 doc optional ncurses-doc_5.7+20101128-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk0O1JcACgkQx2zlrBLK36WxtACeKb4wIZt3HRHyD9w7JnXw4msQ
WZsAoIn8+rCYIgGtKokxyN390DkjENa2
=vPUn
-----END PGP SIGNATURE-----





Reply sent to Sven Joachim <svenjoac@gmx.de>:
You have taken responsibility. (Fri, 31 Dec 2010 14:09:09 GMT) Full text and rfc822 format available.

Notification sent to Edward Betts <edward@debian.org>:
Bug acknowledged by developer. (Fri, 31 Dec 2010 14:09:09 GMT) Full text and rfc822 format available.

Reply sent to Sven Joachim <svenjoac@gmx.de>:
You have taken responsibility. (Fri, 31 Dec 2010 14:09:09 GMT) Full text and rfc822 format available.

Notification sent to Alan Ford <alan@whirlnet.co.uk>:
Bug acknowledged by developer. (Fri, 31 Dec 2010 14:09:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 04 May 2011 07:34:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:23:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.